(async () => {
        const res = await fetch('./data.json');
        const countriesJSON = await res.json();
        const countryArr = await countriesJSON.map(country => country.name);

        var substringMatcher = function (strs) {
            console.log(strs);
            return function findMatches(q, cb) {
                var matches, substrRegex;
                console.log(q);
                // an array that will be populated with substring matches
                matches = [];

                // search matches from first letter
                substrRegex = new RegExp(`^${q}`, 'gi');
                console.log(substrRegex);
                // iterate through the pool of strings and for any string that
                // contains the substring `q`, add it to the `matches` array
                // $.each(strs,async function (i, str) {
                //     if (substrRegex.test(str)) {
                //         await matches.push(str);
                //     }
                // });
                strs.forEach(async item => {
                    if(substrRegex.test(item)){
                       await matches.push(item);
                    }
                });
                console.log(matches);
                cb(matches);
            };
        };

        $('#search').typeahead({
            hint: false,
            highlight: true,
            minLength: 1
        },
            {
                name: 'countie',
                source: substringMatcher(countryArr)
            });
    })();